Package ghidra.formats.gfilesystem.crypto

# Class PopupGUIPasswordProvider

java.lang.Object
ghidra.formats.gfilesystem.crypto.PopupGUIPasswordProvider

All Implemented Interfaces:
  `CryptoProvider`, `PasswordProvider`

public class PopupGUIPasswordProvider extends Object implements PasswordProvider
Pops up up a GUI dialog prompting the user to enter a password for the specified file.

The dialog is presented to the user when the iterator's hasNext() is called.

Repeated requests to the same iterator will adjust the dialog's title with a "try count" to help the user understand the previous password was unsuccessful.

Iterator's hasNext() will return false if the user has previously canceled the dialog,

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.formats.gfilesystem.crypto.CryptoProvider

  `CryptoProvider.Session`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PopupGUIPasswordProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Password>`
  `getPasswordsFor(FSRL fsrl, String prompt, CryptoProvider.Session session)`
  Returns a sequence of passwords (ordered by quality) that may apply to the specified file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PopupGUIPasswordProvider

    public PopupGUIPasswordProvider()

- ## Method Details

  - ### getPasswordsFor

    public Iterator<Password> getPasswordsFor(FSRL fsrl, String prompt, CryptoProvider.Session session)
    Description copied from interface: `PasswordProvider`
    Returns a sequence of passwords (ordered by quality) that may apply to the specified file.
    Specified by:
      `getPasswordsFor` in interface `PasswordProvider`
    Parameters:
      `fsrl` - `FSRL` path to the password protected file
      `prompt` - optional prompt that may be displayed to a user
      `session` - a place to hold state values that persist across related queries
    Returns:
      `Iterator` of possible passwords